Bug 97258 - Unhandled exception error "rpm404.error: match tag mismatch"
Unhandled exception error "rpm404.error: match tag mismatch"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 23:30 EDT by James Collins
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 14:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Install log (62.52 KB, text/plain)
2003-06-15 22:26 EDT, James Collins
no flags Details

  None (edit)
Description James Collins 2003-06-11 23:30:44 EDT
Description of problem:
While trying to do a fresh install of RH8 on a a Compaq Deskpro (Min system 
reqirements met) This error rec'd about a minute into copying all the packages 
to the HDD. assume RPM 404 is problem, but no idea how to proceed.

******
An unhandled exception has occured....(bugzilla bit)...
  
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 533, in doPreInstall
    method.mergeFullHeaders(id.hdList)
  File "/usr/lib/anaconda/image.py", line 42, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 180, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm404.error: match tag mismatch

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 0x88a8874>
fd: 54
file: /mnt/source/RedHat/base/hdlist2
************


Version-Release number of selected component (if applicable):
Red Hat 8.0 Assume anaconda installer.


How reproducible:
Happened twice in row, Fresh install each time.


Steps to Reproduce:
1.Simple boot from floppy (boot.img)
2.From RH DVD
3.Followed installed directions carfully
    
Actual results:
Unhandled exception error: and install terminates with out completion.

Expected results:
Obviously, working install.

Additional info:
Can send anacdump.txt if required. contact via e-mail address
Comment 1 Michael Fulbright 2003-06-12 12:49:00 EDT
Please attach the entire anacdump.txt to this bug report using the 'Create a New
Attachment' link.
Comment 2 James Collins 2003-06-15 22:26:34 EDT
Created attachment 92414 [details]
Anaconda Install log

Thanks!
Comment 3 Michael Fulbright 2003-06-18 16:59:41 EDT
There are some IDE errors coming from your /dev/hda (first IDE drive) drive,
indicating it may have failed.
Comment 4 James Collins 2003-06-18 20:55:59 EDT
Yes, Thanks for that. We tried a couple of different things. The HDD is a very 
old one (2GB) and does not appear to be accepting EXT2, Ext3 or Linux native 
partitions. Have managed to re-partition it and re-format it for FAT32 using 
linux tools and re-installed windows on it. Strange Compaq Proprietory Junk, 
I'd say. You can probably close this case unless you have any further insights 
as to how we might get it working. Thanks for your time.
Cheers,
James.
Comment 5 Michael Fulbright 2003-06-19 14:41:41 EDT
Good luck getting things to work.

Note You need to log in before you can comment on or make changes to this bug.